### Method

# Gimp Drawable curves_explicit

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_curves_explicit (
      GimpDrawable* drawable,
      GimpHistogramChannel channel,
      gsize num_values,
      const gdouble* values
    )

#### Description [src]

Modifies the intensity curve(s) for specified drawable.

Modifies the intensity mapping for one channel in the specified drawable. The channel can be either an intensity component, or the value. The ‘values’ parameter is an array of doubles which explicitly defines how each pixel value in the drawable will be modified. Use the `gimp_drawable_curves_spline()` function to modify intensity levels with Catmull Rom splines.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:curves” instead.

#### Parameters

`channel`

  Type: `GimpHistogramChannel`

  The channel to modify.

`num_values`

  Type: `gsize`

  The number of values in the new curve.

`values`

  Type: An array of `double`

  The explicit curve.

  The length of the array is specified in the `num_values` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.